Reads one model download: its state and Ollama's progress.
GET
/v1/m/agenttools/ollama/pulls/{id}
const url = 'https://example.com/v1/m/agenttools/ollama/pulls/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/m/agenttools/ollama/pulls/example \ --header 'Authorization: Bearer <token>'Reads one model download: its state and Ollama’s progress.
Authorizations
Section titled “ Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ” id
required
string
Path parameter id.
Responses
Section titled “ Responses ”A model download with Ollama’s own progress
Media type application/json
object
completed
required
integer format: int64
error
string
id
required
string format: uuid
model
required
string
state
required
string
status
string
total
required
integer format: int64
Example
{ "state": "running"}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden / step-up required
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict
Media type application/json
object
Example generated
{}Required evidence or store unavailable
Media type application/json
object
Example generated
{}